> ## Documentation Index
> Fetch the complete documentation index at: https://www.thundercompute.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GPU specifications

> Retrieve GPU spec configurations for all supported GPU types, counts, and modes



## OpenAPI

````yaml https://api.thundercompute.com:8443/openapi.json get /specs
openapi: 3.1.0
info:
  contact:
    email: support@thundercompute.com
    name: Thunder Compute API Support
    url: https://thundercompute.com/support
  description: >-
    This is the Thunder Compute API server for managing compute resources and
    GPU workloads.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Thunder Compute API
  version: '1.0'
servers:
  - description: Production server
    url: https://api.thundercompute.com:8443/v1
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /specs:
    get:
      tags:
        - Utilities
      summary: Get GPU specifications
      description: >-
        Retrieve GPU spec configurations for all supported GPU types, counts,
        and modes
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.GpuSpecsResponse'
          description: OK
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    thundertypes.GpuSpecsResponse:
      properties:
        specs:
          $ref: '#/components/schemas/thundertypes.GpuSpecs'
      type: object
    thundertypes.ErrorResponse:
      properties:
        code:
          example: 400
          type: integer
        error:
          example: invalid_request
          type: string
        message:
          example: The request is malformed
          type: string
      type: object
    thundertypes.GpuSpecs:
      additionalProperties:
        $ref: '#/components/schemas/thundertypes.GpuSpecConfig'
      type: object
    thundertypes.GpuSpecConfig:
      properties:
        displayName:
          type: string
        ephemeralStorageGB:
          $ref: '#/components/schemas/thundertypes.StorageRange'
        gpuCount:
          type: integer
        mode:
          type: string
        ramPerVCPUGiB:
          type: integer
        storageGB:
          $ref: '#/components/schemas/thundertypes.StorageRange'
        vcpuOptions:
          items:
            type: integer
          type: array
          uniqueItems: false
        vramGB:
          type: integer
      type: object
    thundertypes.StorageRange:
      properties:
        max:
          type: integer
        min:
          type: integer
      type: object

````